package org.bitbucket.bradleysmithllc.etlunit;

public class TestMethodResultImpl implements TestMethodResult
{
	private final String className;
	private final String methodName;

	private final TestResultMetrics testResults = new TestResultMetricsImpl();

	public TestMethodResultImpl(String className, String methodName)
	{
		this.methodName = methodName;
		this.className = className;
	}

	@Override
	public String testClassName()
	{
		return className;
	}

	@Override
	public String testMethodName()
	{
		return methodName;
	}

	@Override
	public TestResultMetrics getMetrics()
	{
		return testResults;
	}
}